#include <stdio.h>
#include <stdlib.h>
#include "pdf417.h"
#define TRUE 1
#define FALSE 0


// An example of a c program calling the pdf417_enc routines as library
//   calls

int
main (int argc, char **argv)
{

  // first initialize some arrays needed 


  pdf417_init_arrays ();

  printf ("Init arrays success \n");

  pdf417_set_raw_line (0, "BC \"000197380300\"");
  pdf417_set_raw_line (1, "TC \"062S_\"");
  pdf417_set_raw_line (2, "BC \"940400F0BA54\"");
  pdf417_set_raw_line (3, "BC \"0A00260200B5\"");
  pdf417_set_raw_line (4, "BC \"0A3101DB6401\"");
  pdf417_set_raw_line (5, "BC \"0064FB20BE0C\"");
  pdf417_set_raw_line (6, "BC \"6159ADD80700\"");
  pdf417_set_raw_line (7, "BC \"D08905003131\"");
  pdf417_set_raw_line (8, "BC \"303081FCA4C1\"");
  pdf417_set_raw_line (9, "BC \"004A9ABFC647\"");
  pdf417_set_raw_line (10, "BC \"D057E68B8415\"");
  pdf417_set_raw_line (11, "BC \"8464AF4255A5\"");
  pdf417_set_raw_line (12, "BC \"09A2F5C14CC8\"");
  pdf417_set_raw_line (13, "BC \"DD74DC72D3DD\"");
  pdf417_set_raw_line (14, "BC \"DD402C90698B\"");
  pdf417_set_raw_line (15, "TC \"\"");
  pdf417_set_raw_line (16, "TC \"\"");

  printf ("set raw lines success \n");

// set the number of lines in the raw input array

  pdf417_set_raw_count (16);

// set the output filename

  pdf417_set_output_filename ("outlibt.ps");


  printf ("About to call pdf417_en \n");

// call the main encoding routine
// parameters are rows, columns, ec_level, output_type, use_default, 
//                            usr_raw_mode

  pdf417_en (8, 24, 2, OUTPUT_PS, TRUE, TRUE);



}
